Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162245 - CAN-2005-2088 httpd proxy request smuggling
Summary: CAN-2005-2088 httpd proxy request smuggling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard: public=20050612,impact=moderate
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-01 13:39 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-03 15:00:32 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-07-01 13:39:51 UTC
+++ This bug was initially created as a clone of Bug #162244 +++

When using apache as a proxy, it is vulnerable to request smuggling.

(taken from bugtraq)
http://seclists.org/lists/bugtraq/2005/Jun/0025.html

> "We describe a new web entity attack technique � �HTTP Request
> Smuggling�. The attack technique and the derived attacks are relevant
> to most web environments and is the result of a HTTP server or
> device�s failure to properly handle malformed inbound HTTP requests.
> HTTP Request Smuggling works by taking advantage of the discrepancies
> in parsing when one or more HTTP devices/entities (e.g. Cache Server,
> Proxy Server, Web Application Firewall, etc.) are in the data flow
> between the user and the web server. HTTP Request Smuggling enables
> various attacks � web cache poisoning, session hijacking, cross-site
> scripting and most serious the ability to bypass web application
> firewall protection.

http://www.watchfire.com/resources/HTTP-Request-Smuggling.pdf

Comment 1 Josh Bressers 2005-07-01 13:41:23 UTC
This issue also affects FC3


Note You need to log in before you can comment on or make changes to this bug.